Subject: Re: Git-aware HTTP transport

From: "H. Peter Anvin" <[email-masked]>
Date: Mon, 25 Aug 2008 21:42:37 -0700

[email-masked] wrote:
> On Mon, 25 Aug 2008, H. Peter Anvin wrote:
> 
>> [email-masked] wrote:
>>>
>>> on the other hand, it would be a good thing if pack files could be 
>>> cached.
>>>
>>> in a peer-peer git environment the cache would not be used very much, 
>>> but when you have a large number of people tracking a central 
>>> repository (or even a pseudo-central one like the kernel) you have a 
>>> lot of people upgrading from one point to the next point.
>>>
>>
>> Worth noting that this also applies to the raw git protocol.
> 
> IIRC the native git server will use existing packs when it can.
> 

Yes (and the smart http server should, too).  However, neither of them 
can currently generate new packfiles and save them for future use in a 
separate directory from the repository tree.

	-hpa